Subject: bug#48307: [External] : bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Drew Adams <[email-masked]>
Date: Mon, 10 May 2021 14:42:18 +0000

> > Why does it make sense to inhibit frame resizing in this case?  I
> > think it will make an ugly display: mode-line text will spill over,
> > lines will become wrapped, etc.
> >
> 
> Because (1) it's what other programs do,

See what I wrote.  That can be good and bad.
Why limit Emacs to what other programs do?

> (2) it's also what text-scale-adjust does,

See what I wrote.  Text scaling too can benefit from
being able to fit window size to text, to keep what
you see pretty much the same regardless of zoom 
factor.

> (3) it's much faster, (4) if you do not inhibit
> frame resizing the frame can easily become larger
> than your screen.

Depends on what the code resizing the frame does.
Nothing requires frame resizing not to respect
screen boundaries.  (But yes, usually it's a
_feature_ that you can have part of a window-mgr
window (frame) off-screen.)